Update Enabled Filters
Updates enabled default Product Filtering filters.
Authentication
X-Auth-Tokenstring
OAuth scopes
NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects a list of objects.
EnabledProductFilter
A filter that uses product options and custom field data.
OR
EnabledPriceFilter
A filter based on the product’s price, shown as a price range on the storefront.
OR
EnabledCategoryFilter
A storefront filter for product category
OR
EnabledBrandFilter
A storefront filter for product brand
OR
EnabledRatingFilter
A filter based on product review ratings.
OR
EnabledMiscFilter
Miscellaneous filters which appear as a group.
Response
OK
data
meta
Response metadata.